﻿@model Core.Controllers.CallbackViewModel
@{

}
<style>
    table, th, td {
        border: 1px solid black;
    }
</style>
<p>@Model.message</p>
@if (Model.instagramMedia != null && Model.instagramMedia.data != null)
{
    <table>
        @foreach (var item in Model.instagramMedia.data)
        {
            <tr style="padding-top:50px;">
                <td>
                    <b> Caption :</b>  @item.caption <br /><b>Date: </b> @item.timestamp
                </td>
            </tr>
            <tr>
                <td>
                    @if (item.media_type == "IMAGE")
                    {
                        <img src="@item.media_url" />
                    }
                    else if (item.media_type == "VIDEO")
                    {
                        <video controls>
                            <source src="@item.media_url" type="video/mp4">
                        </video>

                    }
                </td>

            </tr>

        }

    </table>
}

@if (Model.facebookPage != null && Model.facebookPage.data != null)
{
    <table>
        @foreach (var item in Model.facebookPage.data)
        {
            <tr style="padding-top:50px;">
                <td>
                    <b> message :</b>  @item.message <br />
                    <b> story :</b>  @item.story <br />
                    <b>Date: </b> @item.created_time<br />
                    <b> status type</b> @item.status_type <br />
                    @*@if (!string.IsNullOrEmpty(item.full_picture))
        {

        }*@
                    @if (item.attachments != null && item.attachments.data.Count > 0)
                    {
                        foreach (var atta in item.attachments.data)
                        {
                            if (atta.type == "video_inline")
                            {
                                <video controls>
                                    <source src="@atta.media.source" type="video/mp4">
                                </video>
                            }
                            else if (atta.type != "album")
                            {
                                <img src="@atta.media.image.src" />
                            }

                            if (atta.subattachments != null && atta.subattachments.data.Count > 0)
                            {
                                foreach (var subAtta in atta.subattachments.data)
                                {
                                    <img src="@subAtta.media.image.src" />
                                }
                            }
                        }
                    }

                </td>
            </tr>


        }

    </table>
}


